FROM maven:3.8.4-jdk-11 as build

COPY ./RaceTrack/. /app

WORKDIR /app

RUN mvn clean install


FROM openjdk:11-jre-slim as prod

COPY --from=build /app/target/*.jar /app/app.jar

EXPOSE 80

CMD ["java", "-jar", "/app/app.jar"]


